{% extends '../base.html'%} {% block main %} {% load static %}
<!-- TODO  -->
<style>
  .aside-right-mobile {
    display: none;
  }
  .price {
    font-size: 1.5rem !important;
  }
  .color-gray {
    color: gray;
  }
  @media (max-width: 1500px) {
  .aside-right {
    display: none !important;
  }
  .aside-right-mobile {
    order: 3;
    display: block !important;
  }
  .aside-right-actions.aside-right-mobile-action {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
}
  @media (max-width: 1800px) {
  .main-container {
    margin: .5rem 1% 0 1%;
  }
}
  @media (max-width: 800px) {
  .main-container {
    margin: .5rem 1% 0 1%;
  }

}
  .price.not-active {
    text-decoration: line-through;
    color: #000000;
    font-size: 1.2rem;
  }
  .reducted-price.active {
    color: green;
    font-size: 1.7rem !important;
  }
  .reducted-price.active.rentable {
    color: green;
    font-size: 1.3rem !important;
  }
  .dates {
    font-size: 15px !important;
    color: gray;
  }


  .article-retnable .ship {
    background: rgb(220,53,69);
background: linear-gradient(10deg, rgba(220,53,69,1) 0%, rgba(13,110,253,1) 61%, rgba(25,135,84,1) 100%);
font-size: 1rem;
  }

</style>
<div class="main-container position-relative">
  {% include "../components/quick_access.html" %}
  <div id="globalMessage">
    <span> Désolé, cet article n'est plus disponible .</span>
    <span onclick="closeMessage(this)" class="globalMessageClose">&times;</span>
  </div>
  <div class="show-article-main">
    <div class="aside">
      {% if article.main_image %}
        <img
        class="all-images"
        src="../../media/{{ article.main_image.url }}"
        alt="{{ image.url }}"
        />
      {% endif %}
      {% for image in article.images.all %}
      <img
        class="all-images"
        src="../../media/{{ image.url }}"
        alt="{{ image.url }}"
      />
      {% endfor %}
    </div>
    <div class="center">
      <img
        id="main-image"
        {% if article.main_image %}
          src="../../media/{{ article.main_image.url }}"
        {% else %}
          src="../../media/{{ article.images.all.0.url }}"
        {% endif %}
        alt="{{ article.images.all.0.url }}"
      />
    </div>
    <style></style>
    <div class="aside-right">
      <h4 style="font-weight: bold;" class="d-none d-xl-block">{{ article.title }}</h4>
      <p class="description color-gray">{{ article.set_description_format }}</p>
        <div class="d-flex gap-3 justify-content-center align-content-center">
          <div class="reducted-price active  one-ligne-text">{{ article.rental_amount }} €/J</div>
        </div>

      {% if article.tags.count > 0 %}
      <div class="show-only-pc d-flex  flex-wrap">
        Tags : {% for tag in article.tags.all %}
        <a class="cases-cover bg-{{ tag.get_color }} w-fit h-fit rounded text-white py-1 px-4 mx-1 my-1" href="{% url 'get_article_by_tag' tag.id %}"
          >{{ tag.name }}</a
        >
        {% endfor %}
      </div>
      {% endif %}
      <div class="aside-right-actions">
        {% if article.is_rentable %}
        <!-- <div class="d-flex justify-content-center align-content-center"><a href="{% url 'new_rent' article.id %}" class="normal-link border shadow rounded bg-dark text-white px-3 py-2 mt-2"><i class="fa-solid fa-business-time fs-5"></i> Faire une demande de location</a></div> -->
        <div class="d-flex justify-content-center align-content-center"><a href="{% url 'new_rent' article.id %}" class="show-article-btn"><i class="fa-solid fa-business-time fs-5"></i></a></div>
        {% else %}
        <a
          data-gole="add-article-to-basket"
          class="show-article-btn {% if not article.in_stock %}btnDisabled{% endif %}"
          title="Ajouter cet article à votre panais"
          {% if not article.article_in_basket %}
            href="{% url 'add_article_to_basket' article.id %}"
            style="color: white"
          {% else %}
            href="{% url 'delete_article_from_basket' article.id %}"
            style="color: rgb(113, 195, 113)"
          {% endif %}
          >
          <i class="fa-solid fa-cart-shopping fs-5"></i>
        </a>
        <a
        data-gole="add-article-to-favorites"
        class="show-article-btn {% if not article.in_stock %}btnDisabled{% endif %}"
        title="Ajouter cet article à votre liste de favoris"
        {% if not article.article_in_favorite  %}
          href="{% url 'add_article_to_favorites' article.id %}"
          style="color: white"
        {% else %}
          href="{% url 'delete_article_from_favorites' article.id %}"
          style="color: rgb(113, 195, 113)"
        {% endif %}
        >
        <i class="fa-solid fa-star fs-5"></i>
      </a>
        {% endif %}

        <a
          href="#technical-sheet"
          class="technical-sheet show-article-btn"
          title="Voir toutes les informations sur cet article"
          >
          <i class="fa-solid fa-circle-info fs-5"></i>
        </a>
        {% if request.user.is_superuser %}
          <a href="{% url 'edit_article' article.id %}" class="show-article-btn">
            <i class="fa-solid fa-pen-to-square"></i>
          </a>
          <button
            id="launch-modal-delete-1"
            style="border: none"
            class="show-article-btn h-fit w-fit">
            <i class="fa-solid fa-trash"></i>
          </button>
          <a
            style="border: none"
            class="show-article-btn h-fit w-fit"
            href="{% url 'doublicat_article' article.id %}"
            >
            <i class="fa-solid fa-copy"></i>
          </a>
        {% endif %}
      </div>
    </div>
    <div class="aside-right-mobile mt-3">
      <div id="shown-only-in-phones" class="shown-only-in-phones">
        <div class="w-100 h-100 d-flex flex-column justify-content-center align-items-center">
          <h2 class="shown-only-in-phones-title text-center">{{ article.title }}</h2>


          <div class="d-flex gap-3 justify-content-center align-content-center">
            <div class="reducted-price active one-ligne-text">{{ article.rental_amount }} €/J</div>
          </div>


        <div class="aside-right-actions aside-right-mobile-action my-3">
          {% if article.is_rentable %}
          <div class="d-flex justify-content-center align-content-center"><a href="{% url 'new_rent' article.id %}" class="show-article-btn"><i class="fa-solid fa-business-time fs-5"></i></a></div>
          {% else %}

          <a
            data-gole="add-article-to-basket"
            class="show-article-btn {% if not article.in_stock %}btnDisabled{% endif %}"
            title="Ajouter cet article à votre panais"
            {% if not article.article_in_basket %}
              href="{% url 'add_article_to_basket' article.id %}"
              style="color: white"
            {% else %}
              href="{% url 'delete_article_from_basket' article.id %}"
              style="color: rgb(113, 195, 113)"
            {% endif %}
            >
            <i class="fa-solid fa-cart-shopping fs-5"></i>
          </a>
          <a
            data-gole="add-article-to-favorites"
            class="show-article-btn {% if not article.in_stock %}btnDisabled{% endif %}"
            title="Ajouter cet article à votre liste de favoris"
            {% if not article.article_in_favorite  %}
              href="{% url 'add_article_to_favorites' article.id %}"
              style="color: white"
            {% else %}
              href="{% url 'delete_article_from_favorites' article.id %}"
              style="color: rgb(113, 195, 113)"
            {% endif %}
            >
            <i class="fa-solid fa-star fs-5"></i>
          </a>
          {% endif %}
          <a
          href="#technical-sheet"
          class="technical-sheet show-article-btn"
          title="Voir toutes les informations sur cet article"
          >
          <i class="fa-solid fa-circle-info fs-5"></i>
        </a>
          {% if request.user.is_superuser %}
            <a href="{% url 'edit_article' article.id %}" class="show-article-btn">
              <i class="fa-solid fa-pen-to-square"></i>
            </a>
            <button
              id="launch-modal-delete-2"
              style="border: none"
              class="show-article-btn h-fit w-fit">
              <i class="fa-solid fa-trash"></i>
            </button>
            <a
              style="border: none"
              class="show-article-btn h-fit w-fit"
              href="{% url 'doublicat_article' article.id %}"
              >
              <i class="fa-solid fa-copy"></i>
            </a>
          {% endif %}
        </div>

            {% if article.tags.count > 0 %}
            <p class="d-flex gap-2 justify-content-start align-content-center flex-wrap">
              <span class="mt-1" >TAGS :</span>
              {% for tag in article.tags.all %}
              <a class="bg-{{ tag.get_color }} rounded text-white py-1 px-2" href="{% url 'get_article_by_tag' tag.id %}">
                {{ tag.name }}
              </a>
              {% endfor %}
            </p>
            {% endif %}
        </div>
      </div>
      <div class="color-gray bt-1 mb-3">
        {{ article.set_description_format }}
      </div>
    </div>
    <div id="myresult" class="img-zoom-result"></div>
  </div>

  <style>
    .technical-sheet .wapper {
      width: 75%;
    }
    /* 1200px */
    @media (max-width: 900px) {
      .technical-sheet .wapper {
        width: 95%;
      }
    }
  </style>
  <section class="technical-sheet w-100"  id="technical-sheet">

    <div class="wapper">
      <div class="sections-image  w-100">
        {% for section in article.sections.all %}
        {% if section.is_valid %}

        <section class="border rounded py-1 px-3 mb-2  w-100">
          {% if section.title %}
            <h4 class="text-center">{{ section.title }}</h4>
          {% endif %}{% if section.description %}
            <div class="w-100 color-gray text-center mx-auto">{{section.description|linebreaks}}</div>
          {% endif %}
          {% if not section.image.all.count == 0 %}
          <div class="d-flex justify-content-center align-content-center gap-2 overflow-hidden">
            {% for image in section.image.all %}
            <img class="mb-3 rounded p-1" src="../../media/{{ image.url }}" style="display: block; height: auto; max-width: 100%; max-height: 100%; object-fit: contain; border-radius: 10px !important;" alt="{{ image.url }}">
            {% endfor %}
          </div>
          {% endif %}
        </section>
        {% endif %}
        {% endfor %}
      </div>
      <div class="vid w-100 h-100 d-flex flex-column justify-content-center">
        {% for iframe in article.iframe.all %}
        <div class="w-100 border rounded py-1 px-3 mb-2">
          {% if iframe.title %}
          <h4 class="text-center">{{ iframe.title }}</h4>
          {% endif %}
          {% if iframe.description%}
          <p class="w-100 color-gray text-center">{{ iframe.description }}</p>
          {% endif %}
          <iframe
          id="iframe"
          width="100%"
          height="300px"
          class="rounded iframes"
          src="{{ iframe.url }}"
          title="YouTube video player"
          frameborder="0"
          allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
          allowfullscreen
        ></iframe>
        </div>
        {% endfor %}
      </div>
      <script>
        //window on load
        function ytUrlToEmbed(url) {
          const regExp = /^.*(youtu.be\/|v\/|u\/\w\/|embed\/|watch\?v=|&v=)([^#&?]*).*/;
          const match = url.match(regExp);

          return match && match[2].length === 11 ? match[2] : null;
        }
        window.onload = function () {
          let iframes = document.querySelectorAll('.iframes')
          iframes.forEach(iframe => {
            let src = iframe.src
            let newSrc = `https://www.youtube.com/embed/${ytUrlToEmbed(src)}`
            iframe.src = newSrc
          })
        };
      </script>
      {% if request.user.is_superuser %}
      <p style="font-size: 1.2rem; font-weight: bold;" class="one-ligne-text">Spécifications pour les admins :</p>
      <table class="customers">
        <tr>
          <td>Quantité en stock</td>
          <td>{{ article.quantity }}</td>
        </tr>
        <tr>
          <td>Visiblité</td>
          <td>{% if article.is_active %}Visible{% else %}Caché{% endif %}</td>
        </tr>
        <tr>
          <td>Action</td>
          <td>{% if article.is_active %}<a href="{% url 'archiving_article' article.id False %}" class="normal-link px-2 py-1 rounded bg-danger text-white">Archiver</a>{% else %}<a href="{% url 'archiving_article' article.id True %}" class="normal-link px-2 py-1 rounded bg-success text-white">Désarchiver</a>{% endif %}</td>
        </tr>
        <tr>
          <td>Article d'occasion</td>
          <td>{% if article.is_occasion %}Oui{% else %}Non{% endif %}</td>
        </tr>
        <tr>
          <td>Article reconditionné</td>
          <td>{% if article.is_used %}Oui{% else %}Non{% endif %}</td>
        </tr>
        <tr>
          <td>Article de location</td>
          <td>{% if article.is_rentable %}Oui{% else %}Non{% endif %}</td>
        </tr>
        <tr>
          <td>Dernière modification</td>
          <td>{{ article.updated_at }}. Il y a {{ article.updated_at|timesince }}</td>
        </tr>
      </table>
      {% endif %}



      <p style="font-size: 1.2rem; font-weight: bold;" class="one-ligne-text mt-3">Spécifications générals:</p>
      <table class="customers">
        <tr>
          <td>Type de l'article</td>
          <td>{{ article.article_type.name }}</td>
        </tr>
        <tr>
          <td>Nom de l'article</td>
          <td>{{ article.title }}</td>
        </tr>
        {% if article.is_more_the_400 %}
        <tr>
          <td>Description</td>
          <td>{{ article.description|linebreaks }}</td>
        </tr>
        {% endif %}
         {% if article.description_2 %}
         <tr>
           <td>Détails techniques</td>
           <td>{{ article.description_2|linebreaks }}</td>
          </tr>
          {% endif %}
        {% if not article.resolution.id == 7 %}
        <tr>
          <td>Resolution des vidéos / images</td>
          <td>{{ article.resolution.name|title }}</td>
        </tr>
        {% endif %}
        <tr>
          <td>Fabriquant</td>
          <td>{{ article.company.name|title }}</td>
        </tr>
        <tr>
          <td>Etat de l'article</td>
          <td>
            {% for case in article.get_article_stat %}
                {{ case }}<br>
            {% endfor %}</td>
        </tr>
        </tr>
        <tr>
          <td>Ajouté le</td>
          <td>{{ article.created_at }}. Il y a {{ article.created_at|timesince }}</td>
        </tr>
        {% for details in article.details.all %}
        <tr>
          <td>{{ details.name|title }}</td>
          <td>{{ details.value|title }}</td>
        </tr>
        {% endfor %}
        {% if article.weight %}
        <tr>
          <td>Poids</td>
          <td>{{ article.weight }} g</td>
        </tr>
        {% endif %}
        {% if article.height %}
        <tr>
          <td>Hauteur</td>
          <td>{{ article.height }} cm</td>
        </tr>
        {% endif %}
        {% if article.width %}
        <tr>
          <td>Largeur</td>
          <td>{{ article.width }} cm</td>
        </tr>
        {% endif %}
        {% if article.color %}
        <tr>
          <td>Couleur</td>
          <td>{{ article.color|title }}</td>
        </tr>
        {% endif %}
        {% if article.speed %}
        <tr>
          <td>La vitesse du drone</td>
          <td>{{ article.speed }} km/h</td>
        </tr>
        {% endif %}
        {% if article.bat_cap_h %}
        <tr>
          <td>La capacité de la batterie du drone</td>
          <td>{{ article.bat_cap_h }} minutes</td>
        </tr>
        {% endif %}
        {% if article.flight_time %}
        <tr>
          <td>Le temps de vol du drone</td>
          <td>{{ article.flight_time }} minutes</td>
        </tr>
        {% endif %}
        {% if article.flight_range %}
        <tr>
          <td>La portée de vol du drone</td>
          <td>{{ article.flight_range }} km</td>
        </tr>
        {% endif %}
        {% if article.transmission_range %}
        <tr>
          <td>La portée de transmission du drone</td>
          <td>{{ article.transmission_range }} km</td>
        </tr>
        {% endif %}
      </table>
      {% if article.is_rentable %}
      <h4 class="text-center mt-5 mb-2">Autres spécifications </h4>
      <p style="font-size: 1.2rem; font-weight: bold;" class="one-ligne-text">Spécifications de location :</p>
      <table class="customers">
        <tr>
          <td>Le montant de location par jour</td>
          <td>{{ article.rental_amount }} €/J</td>
        </tr>
        <tr>
          <td>Accessoires de drone</td>
          <td>{{ article.rental_accessories|linebreaks }}</td>
        </tr>
      </table>
      <!-- <div class="d-flex justify-content-center align-content-center"><a href="{% url 'new_rent' article.id %}" class="normal-link border shadow rounded bg-dark text-white px-3 py-2 mt-2"><i class="fa-solid fa-business-time fs-5"></i> Faire une demande de location</a></div> -->
      <div class="d-flex justify-content-center align-content-center"><a href="{% url 'new_rent' article.id %}" class="normal-link border shadow rounded bg-dark text-white px-3 py-2 my-5"><i class="fa-solid fa-business-time fs-5"></i> Faire une demande de location</a></div>
      {% endif %}
    </div>
  </section>


  <!-- <div class="w-100 d-flex justify-content-center align-content-center">
    <a href="{% url 'new_problem' %}" class="normal-btn normal-link border py-2 px-3 rounded shadow mb-3 text-danger "><i class="fa-solid fa-triangle-exclamation"></i> Un probleme ?</a>
  </div> -->

  {% if similaires %}

  <section class="articles-similaires mt-5">
    <h2 class="text-center">Articles similaires</h2>
    <div class="articles-holders mt-5">
      <div class="cards">
        {% for sim in similaires %}
        <div class="cost-card cost-list-shadow p-3 mb-3" data-type="drone">
          <a
            href="{% url 'one_article' sim.id %}"
            class="d-flex flex-column justify-content-center align-items-center flipper-imgs-wapper position-relative"
            >
            <img
              src="../../../../media/{{ sim.images.all.0.url }}"
              class="cost-card-img-top flipper-img active"
              alt="ARTICEL IMAGE"
            />
          </a>

          <div class="cost-card-body">
            <h6 class="cost-card-title text-center">
              {{ sim.title_45 }}
            </h6>
            <div class="d-flex flex-column">
              <div
                class="cost-card-bottom w-100 d-flex flex-row justify-content-around align-items-center"
              >
                <div
                  class="fs-3 d-flex justify-content-center gap-2 align-content-center text-center one-ligne-text"
                >

                {% if sim.reducted %}
                <p class="article-reducted old-price">
                  {{ sim.get_price_frnce_format }}
                </p>
                <p class="article-reducted new-price">
                  {{ sim|get_article_new_price }}
                </p>

                {% else %}
                <p class="article-not-reducted">
                  {{ sim.get_price_frnce_format }}
                </p>

                {% endif %}

                </div>
              </div>
            </div>
            <div class="cases">
              {% for case in sim.get_cases %} {% if case.0 %}
              <div class="case">
                <p class="cases-cover bg-{{ case.2 }}">{{ case.1 }}</p>
              </div>
              {% endif %} {% endfor %}
            </div>
          </div>
        </div>
        {% endfor %}
      </div>
      {% if not sim_has_next %}
      <div class="d-flex justify-content-center align-content-center pt-1 mb-2">
        <a href="{% url 'article_similaires' article.id %}" class="normal-link d-flex justify-content-center align-items-center px-2 py-1 rounded text-primary gap-2"><span>Voir plus</span><i class="fa-solid fa-arrow-right"></i></a>
      </div>
      {% endif %}
    </div>

    <div class="mg-costum-modal-holder">
      <div id="mg-costum-modal-delete-article" class="mg-costum-modal">
        <div class="mg-costum-modal-header">
          <div class="mg-costum-modal-header-content">Ajout d'un tag</div>
          <span id="mg-costum-modal-close-span" onclick="close_GM_modal_btns(this)" class="mg-costum-modal-header-close">&times;</span>
        </div>
        <div class="mg-costum-modal-body">

        </div>
        <div class="mg-costum-modal-footer">
          <button class="mg-costum-modal-footer-btn" onclick="close_GM_modal_btns(this)" id="mg-costum-modal-footer-btn-close">
            Annuler
          </button>
          <a href="{% url 'delete_article' article.id %}" class="mg-costum-modal-footer-btn" id="mg-costum-modal-footer-btn-go">
            Ajouter
          </a>
        </div>
      </div>
    </div>
  </section>

  {% endif %}

  <div id="custom-show-info-modal-delete">
    <div class="custom-show-info__modal-content border">
      <button id="custom-show-info-modal-delete__close-modal">&times;</button>
      <h1>Suppression d'un article</h1>
      <div class="custom-show-info-modal-delete__modal-body text-center">
        <h2>Vous êtes au point de supprimer un article.</h2>
        <h5>Les articles supprimés ne sont pas récupérable</h5>
        <h5>Êtes-vous sûr de vouloir supprimer cet article ?</h5>
        <div class="custom-show-info-modal-delete__modal-body__buttons">
          <a
            href="{% url 'delete_article' id=article.id %}"
            class="btn btn-outline-danger custom-show-info-modal-btn"
            >Confirmer</a
          >
          <button
            type="button"
            id="custom-show-info-modal-delete__close-modal-bottom"
            class="btn btn-outline-success custom-show-info-modal-btn stom-show-info-modal-delete__close-modal"
          >
            Annuler
          </button>
        </div>
      </div>
    </div>
  </div>

  <script src="{% static 'assets/js/script.js' %}"></script>
  <script>
    changeImageFocus();
    // setImageModale();
    // closeImageOnDoubleClicks();
    showDeleteArticleModal();

    const globalMessage = document.querySelector("#globalMessage");
    const btnDisabled = document.querySelectorAll(".btnDisabled");

    btnDisabled.forEach((btn) => {
      btn.addEventListener("click", (e) => {
        openMessage();
        e.preventDefault();
      });
    });
  </script>
</div>

{% endblock main%}
